<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.35.83" id="app_management_SRManagePageDef"
                Package="oracle.srdemo.view.pageDefs">
  <parameters/>
  <executables>
    <iterator id="StaffWithOpenRequestsIterator" Binds="StaffWithOpenRequests"
              RangeSize="10" DataControl="SRService" Refresh="ifNeeded"/>
    <iterator id="ExpertiseAreasIterator" Binds="ExpertiseAreas" RangeSize="10"
              DataControl="SRService"/>
    <iterator id="OpenOrPendingServiceRequestsIterator"
              Binds="OpenOrPendingServiceRequests" RangeSize="10"
              DataControl="SRService"/>
    <iterator id="ServiceHistoriesIterator" Binds="ServiceHistoriesForRequest"
              RangeSize="10" DataControl="SRService"/>
  </executables>
  <bindings>
    <tree IterBinding="StaffWithOpenRequestsIterator"
          id="StaffWithOpenRequests">
      <AttrNames>
        <Item Value="UserId"/>
        <Item Value="FirstName"/>
        <Item Value="LastName"/>
      </AttrNames>
      <nodeDefinition DefName="oracle.srdemo.model.queries.StaffWithOpenRequests"
                      id="StaffWithOpenRequestsNode">
        <AttrNames>
          <Item Value="FirstName"/>
          <Item Value="LastName"/>
        </AttrNames>
        <Accessors>
          <Item Value="OpenOrPendingServiceRequests"/>
        </Accessors>
      </nodeDefinition>
      <nodeDefinition DefName="oracle.srdemo.model.queries.OpenOrPendingServiceRequests"
                      id="OpenOrPendingServiceRequestsNode">
        <AttrNames>
          <Item Value="Status"/>
          <Item Value="ProblemDescription"/>
        </AttrNames>
      </nodeDefinition>
    </tree>
    <table IterBinding="ExpertiseAreasIterator" id="ExpertiseAreas">
      <AttrNames>
        <Item Value="Name"/>
        <Item Value="ExpertiseLevel"/>
      </AttrNames>
    </table>
    <table IterBinding="ServiceHistoriesIterator" id="ServiceHistories">
      <AttrNames>
        <Item Value="SvrId"/>
        <Item Value="CreatedBy"/>
        <Item Value="Hidden"/>
        <Item Value="LineNo"/>
        <Item Value="Notes"/>
        <Item Value="SvhDate"/>
        <Item Value="SvhType"/>
        <Item Value="FirstName"/>
        <Item Value="LastName"/>
      </AttrNames>
    </table>
    <attributeValues IterBinding="OpenOrPendingServiceRequestsIterator"
                     id="Status">
      <AttrNames>
        <Item Value="Status"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="OpenOrPendingServiceRequestsIterator"
                     id="RequestDate">
      <AttrNames>
        <Item Value="RequestDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="OpenOrPendingServiceRequestsIterator"
                     id="ProblemDescription">
      <AttrNames>
        <Item Value="ProblemDescription"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="StaffWithOpenRequestsIterator" id="FirstName">
      <AttrNames>
        <Item Value="FirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="StaffWithOpenRequestsIterator" id="LastName">
      <AttrNames>
        <Item Value="LastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="OpenOrPendingServiceRequestsIterator"
                     id="SvrId">
      <AttrNames>
        <Item Value="SvrId"/>
      </AttrNames>
    </attributeValues>
    <action id="setCurrentStaffRowWithKey"
            IterBinding="StaffWithOpenRequestsIterator"
            InstanceName="SRService.StaffWithOpenRequests"
            DataControl="SRService" RequiresUpdateModel="false" Action="96">
      <NamedData NDName="rowKey" NDValue="#{node.rowKeyStr}"
                 NDType="java.lang.String"/>
    </action>
    <methodAction id="setCurrentProblemAndAssigneeRows"
                  InstanceName="SRService.dataProvider" DataControl="SRService"
                  MethodName="setCurrentProblemAndAssigneeRows"
                  RequiresUpdateModel="true" Action="999">
      <NamedData NDName="requestKeyStr" NDValue="#{node.rowKeyStr}"
                 NDType="java.lang.String"/>
      <NamedData NDName="staffKeyStr" NDValue="#{node.parent.rowKeyStr}"
                 NDType="java.lang.String"/>
    </methodAction>
  </bindings>
</pageDefinition>
